Index: src/fd.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fd.c,v
retrieving revision 1.16
diff -u -r1.16 fd.c
--- src/fd.c	11 Jun 2006 17:52:05 -0000	1.16
+++ src/fd.c	26 Jun 2006 03:35:56 -0000
@@ -89,6 +89,7 @@
 	assert(F->read_handler == NULL);
 	assert(F->write_handler == NULL);
     }
+    assert(!(F->backoff));
     debug(51, 3) ("fd_close FD %d %s\n", fd, F->desc);
     commSetEvents(fd, 0, 0);
     F->flags.open = 0;
Index: src/store.c
===================================================================
RCS file: /cvsroot/squid/squid/src/store.c,v
retrieving revision 1.28
diff -u -r1.28 store.c
--- src/store.c	19 Jun 2006 23:53:16 -0000	1.28
+++ src/store.c	26 Jun 2006 03:35:58 -0000
@@ -121,6 +121,7 @@
 #endif
     mem->log_url = xstrdup(log_url);
     mem->object_sz = -1;
+    mem->serverfd = -1;
     /* XXX account log_url */
     debug(20, 3) ("new_MemObject: returning %p\n", mem);
     return mem;
@@ -1940,9 +1941,9 @@
 {
     MemObject *mem = e->mem_obj;
     EBIT_CLR(e->flags, ENTRY_DEFER_READ);
-    if (mem->serverfd != 0) {
+    if (mem->serverfd != -1) {
 	commResumeFD(mem->serverfd);
-	mem->serverfd = 0;
+	mem->serverfd = -1;
     }
 }
 
@@ -1952,5 +1953,5 @@
 {
     EBIT_CLR(e->flags, ENTRY_DEFER_READ);
     if (e->mem_obj)
-	e->mem_obj->serverfd = 0;
+	e->mem_obj->serverfd = -1;
 }

